package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/9/11
 * @Description 角色战力排行榜查询参数实体
 **/
@Data
public class RoleCombatRankingDTO extends BasePage {

    /**
     * 开服时间（开始）
     */
    @ApiModelProperty(value = "开服时间（开始）")
    private LocalDate beginDate;

    /**
     * 开服时间（结束）
     */
    @ApiModelProperty(value = "开服时间（结束）")
    private LocalDate endDate;

    /**
     * 主游戏ID
     */
    @ApiModelProperty(value = "主游戏ID")
    private Long gameId;

    /**
     * 区服ID（列表）
     */
    @ApiModelProperty(value = "区服ID（列表）")
    private List<Long> serverIds;

    /**
     * 排名的范围
     */
    @ApiModelProperty(value = "排名的范围")
    private Long rankingNum;

    /**
     * 排序字段
     */
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    /**
     * 排序方式：升序asc;降序desc
     */
    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

}
